Skip to main content
GET
/
v5
/
templates
/
expenses
/
rules
Get expense rule templates
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/templates/expenses/rules \
  --header 'Authorization: Bearer <token>'
[
  {
    "transactionName": "<string>",
    "vendorName": "<string>",
    "autoClassify": "OFF",
    "matchType": "EXACT_NAME",
    "id": 123,
    "status": "ACTIVE",
    "categoryName": "<string>",
    "personalCategoryName": "<string>",
    "suggestedStatus": "PENDING"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

transactionName
string
required

Name used to match expenses to this rule, required if vendor is not supplied

vendorName
string
required

Name of the vendor associated with this rule.

autoClassify
enum<string>
required

How to classify expenses that meet this rule

Available options:
OFF,
BUSINESS,
NOT_BUSINESS
matchType
enum<string>
required

How to match expenses with this rule

Available options:
EXACT_NAME,
NON_EXACT_NAME
id
integer<int64>

Id of the rule

status
enum<string>

Status of this rule

Available options:
ACTIVE,
INACTIVE
categoryName
string

Name of the category this rule associates expenses with, required for business rules

personalCategoryName
string

Name of the personal category this rule associates expenses with

suggestedStatus
enum<string>

Whether this rule has been accepted, relevant for auto-generated rules

Available options:
PENDING,
ACCEPTED,
DECLINED,
DELETED